# Get balance report Retrieve a summarized report for all transactions on a given balance within a given timeframe. The API also provides a detailed report on all 'prepayments' for Mollie fees that were deducted from your balance during the reported period, ahead of your Mollie invoice. The alias `primary` can be used instead of the balance ID to refer to the organization's primary balance. > 🔑 Access with > > [Organization access token with **balance-reports.read**](/reference/authentication) > > [OAuth access with **balance-reports.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Business operations", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com/v2" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/balances/{balanceId}/report": { "parameters": [ { "name": "balanceId", "description": "Provide the ID of the related balance.", "in": "path", "required": true, "schema": { "type": "string", "pattern": "^bal_.+$", "example": "bal_gVMhHKqSSRYJyPsuoPNFH" } } ], "get": { "summary": "Get balance report", "x-speakeasy-name-override": "get-report", "tags": [ "Balances API" ], "operationId": "get-balance-report", "security": [ { "organizationAccessToken": [ "balance-reports.read" ] }, { "oAuth": [ "balance-reports.read" ] } ], "description": "Retrieve a summarized report for all transactions on a given balance within a given timeframe.\n\nThe API also provides a detailed report on all 'prepayments' for Mollie fees that were deducted from your balance during the reported period, ahead of your Mollie invoice.\n\nThe alias `primary` can be used instead of the balance ID to refer to the organization's primary balance.\n\n> 🔑 Access with\n>\n> [Organization access token with **balance-reports.read**](/reference/authentication)\n>\n> [OAuth access with **balance-reports.read**](/reference/authentication)", "parameters": [ { "name": "from", "description": "The start date of the report, in `YYYY-MM-DD` format. The from date is 'inclusive', and in Central European Time. This means a report with for example `from=2024-01-01` will include transactions from 2024-01-01 0:00:00 CET and onwards.", "in": "query", "schema": { "type": "string", "example": "2024-01-01" }, "required": true }, { "name": "until", "description": "The end date of the report, in `YYYY-MM-DD` format. The until date is 'exclusive', and in Central European Time. This means a report with for example `until=2024-02-01` will include transactions up until 2024-01-31 23:59:59 CET.", "in": "query", "schema": { "type": "string", "example": "2024-02-01" }, "required": true }, { "name": "grouping", "description": "You can retrieve reports in two different formats. With the `status-balances` format, transactions are grouped by status (e.g. `pending`, `available`), then by transaction type, and then by other sub-groupings where available (e.g. payment method).\n\nWith the `transaction-categories` format, transactions are grouped by transaction type, then by status, and then again by other sub-groupings where available.\n\nPossible values: `status-balances` `transaction-categories` (default: `status-balances`)", "in": "query", "schema": { "type": "string", "example": "status-balances" } }, { "name": "testmode", "description": "You can enable test mode by setting the `testmode` query parameter to `true`.\n\nTest entities cannot be retrieved when the endpoint is set to live mode, and vice versa.", "in": "query", "schema": { "type": "boolean", "example": false } } ], "responses": { "200": { "description": "The balance report object.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "resource", "balanceId", "timeZone", "from", "until", "grouping", "totals", "_links" ], "properties": { "resource": { "type": "string", "description": "Indicates the response contains a balance report object. Will always contain the string `balance-report` for this endpoint.", "readOnly": true, "default": "balance-report", "example": "balance-report" }, "balanceId": { "description": "The ID of the balance this report is generated for.", "type": "string", "pattern": "^bal_.+$", "example": "bal_gVMhHKqSSRYJyPsuoPNFH" }, "timeZone": { "type": "string", "description": "The time zone used for the from and until parameters. Currently only time zone `Europe/Amsterdam` is supported.", "example": "Europe/Amsterdam" }, "from": { "type": "string", "description": "The start date of the report, in `YYYY-MM-DD` format. The from date is 'inclusive', and in Central European Time. This means a report with for example `from=2024-01-01` will include movements of 2024-01-01 00:00:00 CET and onwards.", "example": "2025-03-31" }, "until": { "type": "string", "description": "The end date of the report, in `YYYY-MM-DD` format. The until date is 'exclusive', and in Central European Time. This means a report with for example `until=2024-02-01` will include movements up until 2024-01-31 23:59:59 CET.", "example": "2025-03-31" }, "grouping": { "type": "string", "enum": [ "status-balances", "transaction-categories" ], "example": "status-balances", "default": "status-balances" }, "totals": { "type": "object", "description": "Totals are grouped according to the chosen grouping rule. The example response should give a good idea of what a typical grouping looks like.\n\nIf grouping `status-balances` is chosen, the main grouping is as follows:\n\n* `pendingBalance` containing an `open`, `pending`, `movedToAvailable`, and `close` sub-group\n* `availableBalance` containing an `open`, `movedFromPending`, `immediatelyAvailable`, and `close` sub-group\n\nIf grouping `transaction-categories` is chosen, the main grouping is as follows:\n\n* `open` and `close` groups, each containing a `pending` and `available` sub-group\n* Transaction type groups such as `payments`, `refunds`, `chargebacks`, `capital`, `transfers`, `fee-prepayments`, `corrections`, `topups` each containing a `pending`, `movedToAvailable`, and `immediatelyAvailable` sub-group\n\nEach sub-group typically has:\n\n* An `amount` object containing the group's total amount\n* A `count` integer if relevant (for example, counting the number of refunds)\n* A `subtotals` array containing more sub-group objects if applicable", "properties": { "pendingBalance": { "type": [ "object", "null" ], "description": "The pending balance. Only available if grouping is `status-balances`.", "properties": { "open": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } }, "close": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } }, "pending": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } }, "movedToAvailable": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } } } }, "availableBalance": { "type": [ "object", "null" ], "description": "The available balance. Only available if grouping is `status-balances`.", "properties": { "open": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } }, "movedFromPending": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } }, "immediatelyAvailable": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } }, "close": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } } } }, "open": { "type": "object", "description": "Only available on `transaction-categories` grouping.", "properties": { "pending": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } }, "available": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } } } }, "close": { "type": "object", "description": "Only available on `transaction-categories` grouping.", "properties": { "pending": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } } } }, "available": { "type": "object", "properties": { "amount": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "subtotals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "sub-totals": { "type": [ "array", "null" ], "items": { "type": "object", "properties": { "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "type": [ "string", "null" ], "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "cardIssuer": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card issuer will be available\n\nPossible values: `amex` `maestro` `carte-bancaire` `other`", "example": "amex" }, "cardAudience": { "type": [ "string", "null" ], "description": "In case of payments trnsactions with card, the card audience will be available.\n\nPossible values: `corporate` `other`", "example": "other" }, "cardRegion": { "type": [ "string", "null" ], "description": "In case of payments transactions with card, the card region will be available.\n\nPossible values: `intra-eea` `intra-eu` `domestic` `other`", "example": "domestic" }, "feeType": { "type": [ "string", "null" ], "description": "Present when the transaction represents a fee.\n\nPossible values: `payment-fee` `direct-debit-failure-fee` `unauthorized-direct-debit-fee` `bank-charged-direct-debit-failure-fee` `partner-commission` `application-fee` `capture-fee` `refund-fee` `chargeback-fee` `payment-notification-fee` `transfer-notification-fee` `payout-fee` `fee-discount` `fee-reimbursement` `platform-volume-fee` `platform-connected-organizations-fee` `balance-charge-fee` `3ds-authentication-attempt-fee` `terminal-monthly-fee` `acceptance-risk-fee` `top-up-fee` `payment-gateway-fee` `mastercard-specialty-merchant-program-processing-fee` `mastercard-specialty-merchant-program-registration-fee` `visa-integrity-risk-program-processing-fee` `visa-integrity-risk-program-registration-fee` `minimum-invoice-amount-fee`", "example": "payment-fee" }, "prepaymentPartType": { "type": [ "string", "null" ], "description": "Prepayment part: fee itself, reimbursement, discount, VAT or rounding compensation.\n\nPossible values: `fee` `fee-reimbursement` `fee-discount` `fee-vat` `fee-rounding-compensation`", "example": "fee" }, "transactionType": { "type": [ "string", "null" ], "description": "Represents the transaction type\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "example": "payment" } } } }, "count": { "type": "integer", "description": "Number of transactions of this type", "example": 50 }, "method": { "description": "Payment type of the transactions\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `b
[...]
